=== requirements.txt ===
eventlet>=0.15.2
requests>=2.6.0
flask>=0.10.1
redis>=2.10.3
gunicorn>=19.4.5
pyxattr>=0.4
simplejson>=2.0.9
plyvel>=0.9
PyYAML>=3.10
