## openio-sds 2.0.0.c2

=== debian/changelog ===
openio-sds (2.0.0.c2-6ubuntu1) xenial; urgency=medium

  * Fix Depends

 -- Romain Acciari <romain.acciari@openio.io>  Thu, 07 Apr 2016 15:33:35 +0000

openio-sds (2.0.0.c2-6) xenial; urgency=medium

  * Add python-requests version require

 -- Romain Acciari <romain.acciari@openio.io>  Tue, 05 Apr 2016 15:16:37 +0000

openio-sds (2.0.0.c2-5) xenial; urgency=medium

  * Fix python xattr require

 -- Romain Acciari <romain.acciari@openio.io>  Tue, 05 Apr 2016 14:26:31 +0000

openio-sds (2.0.0.c2-4) xenial; urgency=medium

  * Test python-xattr support

 -- Romain Acciari <romain.acciari@openio.io>  Tue, 05 Apr 2016 11:45:48 +0000

openio-sds (2.0.0.c2-3) xenial; urgency=medium

  * Change requirements from pyxattr to python-xattr >= 0.8.0

 -- Romain Acciari <romain.acciari@openio.io>  Tue, 05 Apr 2016 09:16:53 +0000

openio-sds (2.0.0.c2-2) xenial; urgency=medium

  * Enhance requirements

 -- Romain Acciari <romain.acciari@openio.io>  Fri, 01 Apr 2016 17:32:00 +0000

openio-sds (2.0.0.c2-1) xenial; urgency=medium

  * New upstream release

 -- Romain Acciari <romain.acciari@openio.io>  Thu, 31 Mar 2016 20:00:30 +0000

openio-sds (1.0.1-1) xenial; urgency=medium

  * New release

 -- Romain Acciari <romain.acciari@openio.io>  Mon, 14 Dec 2015 18:55:22 +0000

openio-sds (0.8.3-4) xenial; urgency=low

  * Add /run/oio directory

 -- Romain Acciari <romain.acciari@openio.io>  Tue, 13 Oct 2015 12:51:41 +0000

openio-sds (0.8.3-3) xenial; urgency=low

  * Add python-pbr at runtime (will be remove in next release)

 -- Romain Acciari <romain.acciari@openio.io>  Thu, 08 Oct 2015 16:39:20 +0000

openio-sds (0.8.3-2) xenial; urgency=low

  * Add tmpfile

 -- Romain Acciari <romain.acciari@openio.io>  Thu, 08 Oct 2015 09:00:34 +0000

openio-sds (0.8.3-1) xenial; urgency=medium

  * Initial release

 -- Romain Acciari <romain.acciari@openio.io>  Tue, 06 Oct 2015 15:32:21 +0000
