=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: openio-sds
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, python-xattr (>= 0.8.0) | python-pyxattr (>= 0.4.0), python-eventlet, gunicorn (>= 19.4.5), python-requests (>= 2.6.0), python-flask, python-redis, python-zmq, apache2, libexpat1, openio-asn1c (>= 0.9.27.1), libglib2.0-0 (>= 2.42), zlib1g, libjson-c2 (>= 0.12), python-zookeeper (>= 3.4.5), libapr1 (>= 1.2), libevent-2.0-5, liblzo2-2 (>= 2.0), openio-gridinit, libdb5.3, openio-sds-librain, python-pbr, python-yaml, python-plyvel, libsqlite3-0 (>= 3.7.11), libleveldb1, python-simplejson (>= 2.0.9), python-flask, python-eventlet, python-zmq, python-redis, python-requests
+Depends: ${shlibs:Depends}, ${misc:Depends}, python-xattr (>= 0.8.0) | python-pyxattr (>= 0.4.0), python-eventlet, gunicorn (>= 19.4.5), python-requests (>= 2.6.0), python-flask, python-redis, python-zmq, apache2, libexpat1, openio-asn1c (>= 0.9.27.1), libglib2.0-0 (>= 2.42), zlib1g, libjson-c2 (>= 0.12), python-zookeeper (>= 3.4.5), libapr1 (>= 1.2), libevent-2.0-5, liblzo2-2 (>= 2.0), openio-gridinit, libdb5.3, openio-sds-librain, python-pbr, python-yaml, python-plyvel, libsqlite3-0 (>= 3.7.11), libleveldb1v5, python-simplejson (>= 2.0.9), python-flask, python-eventlet, python-zmq, python-redis, python-requests
 Description: OpenIO Cloud Storage Solution
  OpenIO software storage solution is designed to handle PETA-bytes of
  data in a distributed way, data such as: images, videos, documents, emails,
